Crystal Space: cswinMinidumpWriter Class Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# cswinMinidumpWriter Class Reference

Helper to write minidumps on Win32. More...

`#include <csutil/win32/minidump.h>`

List of all members.

## Public Types
typedef void(*) | FnCrashMinidumpHandler (const char *dumpFile)
| Callback that can be provided by the application to further deal with the crash dump file.
## Static Public Member Functions
static void | DisableCrashMinidumps ()
| Disable the built-in crash handler.
static void | EnableCrashMinidumps (FnCrashMinidumpHandler handler=0)
| Enable the built-in crash handler.
static void | SetCrashMinidumpObjectReg (iObjectRegistry *object_reg)
| Set the object registry used by the built-in crash handler.
static const char * | WriteMinidump (PMINIDUMP_EXCEPTION_INFORMATION except=0, bool dumpHeap=false)
| Write a dump of the current state of the process.
static const char * | WriteWrappedMinidump (iObjectRegistry *object_reg=0, PMINIDUMP_EXCEPTION_INFORMATION except=0, bool dumpHeap=false)
| Write a mini dump that is wrapped inside a zip and also contains a textual stack trace and the reporter log file.
## Static Protected Attributes
static FnCrashMinidumpHandler | customHandler
static csWeakRef< iObjectRegistry > | object_reg
static LPTOP_LEVEL_EXCEPTION_FILTER | oldFilter

## Detailed Description

Helper to write minidumps on Win32.

Remarks:
  This class provides functionality specific to the Win32 platform. To ensure that code using this functionality compiles properly on all other platforms, the use of the class and inclusion of the header file should be surrounded by appropriate '#if defined(CS_PLATFORM_WIN32) ... #endif' statements.

Definition at line 38 of file minidump.h.

## Member Typedef Documentation

typedef void(*) cswinMinidumpWriter::FnCrashMinidumpHandler(const char *dumpFile)

Callback that can be provided by the application to further deal with the crash dump file.

Definition at line 45 of file minidump.h.

## Member Function Documentation

static void cswinMinidumpWriter::DisableCrashMinidumps | ( |  | ) | `[static]`

Disable the built-in crash handler.

static void cswinMinidumpWriter::EnableCrashMinidumps | ( | FnCrashMinidumpHandler | handler = `0` | ) | `[static]`

Enable the built-in crash handler.

Sets up an exception handler that creates a dump using WriteWrappedMinidump(). In case a custom handler is provided, it is called. Otherwise, a message box containing the dump file is displayed.

static void cswinMinidumpWriter::SetCrashMinidumpObjectReg | ( | iObjectRegistry * | object_reg | ) | `[static]`

Set the object registry used by the built-in crash handler.

It is needed to collect some extra information, notable the reporter log.

Remarks:
  Not setting this value will not result in failure later.

static const char* cswinMinidumpWriter::WriteMinidump | ( | PMINIDUMP_EXCEPTION_INFORMATION | except = `0`,
|  | bool | dumpHeap = `false` |
| ) |  |  | `[static]`

Write a dump of the current state of the process.

Returns:
  The filename where the dump was written to. Is created in a location for temp files.

static const char* cswinMinidumpWriter::WriteWrappedMinidump | ( | iObjectRegistry * | object_reg = `0`,
|  | PMINIDUMP_EXCEPTION_INFORMATION | except = `0`,
|  | bool | dumpHeap = `false` |
| ) |  |  | `[static]`

Write a mini dump that is wrapped inside a zip and also contains a textual stack trace and the reporter log file.

Returns:
  The filename where the zip was written to. Is created in a location for temp files.

The documentation for this class was generated from the following file:

- csutil/win32/minidump.h